newproperty(:os_user) do
  desc <<-EOT
    The weblogic operating system user.
  EOT

  defaultto 'oracle'
  def insync?(is)
    return true if resource[:ensure] == :stop
    super
  end

  def sync
    unless resource[:refreshonly] == :true
      provider.restart
      super
    end
  end

  def retrieve
    provider.os_user
  end

end

