#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:comment) do
  include EasyType

  to_translate_to_resource do |raw_resource|
    raw_resource[:comment]
  end

  def insync?(is)
    #          
    # the dbstart script from Oracle doesn't recognise an autostart
    # when a comment is present. To remediate this issue, We ignore the comment
    # the comment if the autostart is Y
    #
    true
  end

  desc <<-EOD
  The comments belonging to this database sid. This is a readonly attribute. You cannot
  add or change comments using this property.
  EOD
end
