#!/opt/puppetlabs/puppet/bin/ruby
#
#
# See the file "LICENSE" for the full license governing this code.
#
#
require 'json'
require 'open3'
require 'puppet'
begin
  Puppet.initialize_settings
rescue Puppet::DevError
  # When run in Rspec, this is called multiple times
end
require 'easy_type'
require 'puppet_x/enterprisemodules/oracle/core'

class UpgradeDb

  def self.run
    instance = self.new
    instance.run
  end

  def run()
    begin
      fetch_input()
      execute()
    rescue
      raise
    ensure
      report()
    end
  end

  def fetch_input
    params        = JSON.parse(STDIN.read)
    @sid          = params.fetch('sid')
    @current_home = params.fetch('current_home')
    @new_home     = params.fetch('new_home')
    @result  = {}
  end

  def report()
    puts @result.to_json
  end

  def execute
  end

end

UpgradeDb.run if __FILE__ == $0
