Version updates
===============

# 6.9.6

- [docs] Remove reference to devops superhero
- [facts] On Windows the install group is always ORA_INSTALL

Change-Id: I94452674c6b2a38d533d8e9cbff0cbfdbc9f8018

# 6.9.5

- [ora_install_homes] More resilient against missing directories

# 6.9.4

- [ora_opatch] Don’t (re)detetermine the installed patches

# 6.9.3

- [release] Update dependencies
- [db_directory_structure] Setting of ownership only done when specific dir is created

# 6.9.2

- [facts] Refresh opatch_version for new installations and fix bug with multiple homes

# 6.9.1

- [installdb] Bugfixes for Windows

# 6.9.0

- [core] Better support for windows

# 6.8.0

- [ora_instal_homes] Skip cman processes for listeners
- [ora_opatch] Fix detection of currently installed patches
- [facts] Integrate OCM running facts into ora_install_homes

# 6.7.0

- [ora_opatch] Add support for cwd parameter

# 6.6.3

- [db_opatch, facts] Use jdk clause only when specfied jdk exists

# 6.6.2

- [release] Update version of referenced systemd module
- [db_opatch] Fix syntax errors

# 6.6.1

- [install_emagent] Fix usage of deprecated function is_string

## 6.6.0

- [installem_agent] Make AgentPull more secure (no more logging of sensitive data

## 6.5.4

- [core] Removed stdlib::merge dependency

## 6.5.3

- [client] Fix install on Redhat 8
- [install_emagent] Fix usage of deprecated function is_string

## 6.5.2

- [release] Update version of dependency puppetlabs-concat
- [installem] Fix temp_dir type and dependency

## 6.5.1

- [core] Replace in Puppet 8 deprecated merge function
- [db_opatch] Fix jdk not found error by explicitly passing jdk path

## 6.5.0

- [core] Add support for Puppet 8

## 6.4.1

- [release] Update dependencies

## 6.4.0

[autostartdatabase] Implement custom template for systemd service (#169)

## 6.3.1

- [ora_install::oracle_exists] Make check less strict. Don’t need opatch

## 6.3.0

- [client] Support 32-bits client installer

## 6.2.6

- [ora_opatch] Fix reinstall of remove_patches_before patches
- [ora_opatch] Fix listing of installed patches

## 6.2.5

- [autostartdatabase] Implement systemd service

## 6.2.4

- [ora_tab_entry] Fix missing newline on inital entry

## 6.2.3

- [installem] Fix cleanup of downloaded zip
- [installasm] Fix cleanup of downloaded zip

## 6.2.2

- [ora_install_homes] Fix issue when using longer SID names

## 6.2.1

- [core] Remove check for database name length smaller equal 8

## 6.2.0

- [core] load oracle user profile when executing commands
- [ora_opatch] Unzip files as oracle user
- [ora_opatch] Use the ora_install_home fact for patching index

## 6.1.2

- [changed_oracle_home_for] Fix for usage with cached ora_install_homes again
## 6.1.1

- [changed_oracle_home_for] Fix for usage with cached ora_install_homes
## 6.1.0

- [release] Add support for AlmaLinux and Rocky
- [facts] Fix issue with ora_install_homes fact on Windows (#161)

## 6.0.0

- [release] Remove deprecated code
- [facts] Add fact caching

### 5.16.0

- [goldengate] Add support for version 21.3.0
- [core] Start using cleanup resource

### 5.15.1

- [goldengate] Also allow 18c and 19c to the templates

### 5.15.0

- [goldengate] Enable ORA18c and ORA19c database versions

### 5.14.4

- [ora_opatch] Leave removal of zip content to source_dir property]

### 5.14.3

- [core] Change Filepath object in LOAD_PATH to String

### 5.14.2

- [ora_opatch] Add support to force removal of patches
- [ora_install_homes] Fix runnings_sids when no database is running
- [database] Add init_params to dbca create from template (#153)

### 5.14.1

- [installdb] Also use umask for oracle_context
- [opatchupgrade] Add parameter umask for execs
- [net] Add parameter umask for execs
- [installdb] Add parameter umask for execs
- [installasm] Add parameter umask for execs
- [goldengate] Add parameter umask for execs
- [client] Add parameter umask for execs
- [publish] fix length of summary info

### 5.14.0

- [facts] Add os_user, open_mode and role to ora_install_homes fact

### 5.13.0

[docs] Updated supported version numbers and regenerate REFERENCE.md
[core] Add support for Oracle 21c grid infra (#149)
[core] Add support for Oracle 21c client (#150)
[core] Add support for Oracle 21c database (#147)
[installem_agent] Update supported versions in documentation
[opatchupgrade] Remove old OPatch first, extract as root and set permissions afterwards

### 5.12.3

- [db_control] Also stop the daemon processes in specified home and sid

### 5.12.2

- [ora_install_homes] Fix whitespacing issue

### 5.12.1

- [ora_install_homes] Fix when oracle homes are substrings

### 5.12.0

- [installem/installem_agent] Add support for EM 13.4 and 13.5

### 5.11.2

-[opatchupgrade] Fix error when nice title is specified 

### 5.11.1

- [database] Add dbca response files for Oracle 18 and Oracle 19

### 5.11.0

- [core] Fix loadpath when gathering facts
- [installdb] Fix noexec mount option on  if needed
- [ora_patches_missing] Accomodate patching Grid Infrastructure

### 5.10.2

- [core] Ensure correct loading of all ruby code independant of order
- [installdb] Fix duplicate declaration
- [quality] Fix puppet 4 unit tests
- [plans/patch_home] Fix deprecation message on ora_patches_installed
- [plans] Add selective module sync to all plans using puppet apply function

### 5.10.1

- [release] Add playground link to README
- [database] Add LD_LIBRARY_PATH as variable

### 5.10.0

- [opatchupgrade] Use namespaced opatch_version function
- [facts] Add running_listeners to ora_install_homes fact

### 5.9.0

- [release] Support puppet 7

### 5.8.1

- [core] Use namespaced  oracle_exists function

### 5.8.0

- [core] Functions refactor, ora_install namespace added

### 5.7.0

- [core] Add easy_type::debug_evaluation to all classes

### 5.6.0

- [functions] Fix issue when removing patches
- [installem] Add support for software only install of Enterprise Manager
- [installem_agent] Fix issues on systems with noexec set on /tmp

### 5.5.10

- [db_rcu] Fix connection when TNS_ADMIN  is set
- [db_control] Fix connection when TNS_ADMIN  is set

### 5.5.9

- [database] Fix interpolation of template content
- [ora_opatch] Remove created directory directly

### 5.5.8

- Just a release

### 5.5.7

- [opatchupgrade] Fix typo in title

### 5.5.6

- [opatchupgrade] Fix error when nice title is specified
- [ora_opatch] Fix nul error when no sub_patches are specified

## 5.5.5

- [ora_patches_missing] Remove byebug

## 5.5.4

- [ora_patches_missing] Fix when no sub_patches are specified
- [ora_opatch] Fail when sub_patches include main patch_id

## 5.5.3

- [facts] Fix Invalid opatch version

## 5.5.2

- [installdb] cleanup created response file
- [facts] Better cleanup of files created by opatch lsinventory
- [database] Only create the template when we need it
- [net] Only create the response file when we need it

## 5.5.1

- [db_directory_structure] Add create_orainst_only parameter to type
- [dborainst] Use db_directory_structure to create oraInst.loc
- [client/goldengate/installasm/installdb/installem] Add os_user param
- [ora_patches_installed] Don't fail on non existing oracle home 

## 5.5.0

- [functions] Add function that returns from the patchlist only the part of the hash with the homes that need to be patched
- [net] Add listener_name and make resources more unique [ch370]
- [functions] Add function that returns from the patchlist only the part of the hash with the homes that need to be patched

## 5.4.1

- [installdb] Fix duplicate properties for epp files

## 5.4.0

- [core] Replaces add erb templates for epp templates
- [installdb] Allow to install multiple oracle homes (of same version)

## 5.3.4

- [database] Fix typos in snmp password parameters to dbca
- [installasm] Fail when grid_type is HA_SWONLY on Linux and SunOS

## 5.3.3

- [ora_physical_patches] Take ensure => absent into account
- [plans] Add documentation And some minor changes to make the plan consistent.
- [facts] Fix determination of Opatch version on Oracle 19 systems
- [release] fixtures dependencies fix

## 5.3.2

- [release] puppet-archive dependency fix
- [database_pluggable] Use Sensitive data type for passwords
- [client] Better template for Oracle 19

## 5.3.1

-  [installdb] Fix installation on RHEL8

## 5.3.0

- [installasm] Add support for bash_additions
- [installdb] Add support for bash_additions
- [plans] Add plans and tasks to install and patch new oracle and grid homes
- [bolt] Add tasks and plan to switch grid home

## 5.2.0

- [core] Add parameter allow_insecure for inscure ssl downloads

## 5.1.2

- [database] add quote’s arround password’s

## 5.1.1

- [release] Fix module dependencies

## 5.1.0

- [client] Add support for Oracle 19 client installtion
- [database] make asm and db snp passwords optional

## 5.0.0

To ensure secure operations, ss of this release all password must be Puppet data type Sensitive. This ensures that Puppet keeps these values safe.

- [core] Generate passwords for unspecfied passwords
- [core] Use Sentive data type for passwords

## 4.11.1

- [installasm] Change name of db_directory_structure and always call it

## 4.11.0

- [core] Add support for RHEL 8
- [facts] Fix error when inventory XML contains home with subelements
- [installasm] Allow for staged install in order to apply patches in between
- [installasm/installdb] Manage .bash_profile regardless if sw is installed

## 4.10.0

- [manifests] Remove notify’s
- [goldengate] Add support for version 18 and 19

## 4.9.1

- [db_control] Properly unset TWO_TASK

## 4.9.0

- [installasm] Expose GIMR database (MGMTDB) options
- [dbcontrol] unset TWO_TASK added to dbcontrol

## 4.8.3

- [core] Rename version 19.3.0.0 to 19.0.0.0

## 4.8.2

- [db_control] fix connect statement

## 4.8.1

- [db_control] specifically set NLS_LANG: in case the system NLS_LANGUAGE setting is something else
- [db_control] no alter session but unzet NLS_LANG
- [db_rcu] Fix when using non-english NLS
- [db_control] Fix when using non-english NLS
- [ora_opatch] Allow reinstallation of incompatible patch

## 4.8.0

- [ora_opatch] Fix issue when ora_install_homes fact not yet defined
- [installasm] Fix missing parameters for 18 and 19
- [ora_opatch] Add support to remove incompatible patches

## 4.7.2

- [installasm] Add response file for 19.3 grid install

## 4.7.1

- [installasm] Fix ASM 19.3 support

## 4.7.0

- [switch_oracle_home] Add support for RAC home
- [switch_oracle_home] Switch grid home
- [facts] Fix issue where ORACLE_SID is 8 characters long

## 4.6.1

- [installdb] Add extra checks for Oracle versions on Windows
- [installdb] Remove notice in windows

## 4.6.0

- [core] Add windows support

## 4.5.3

- [autostartdatabase] Fix merge issue causing idempotency problems

## 4.5.2

- [core] Speed up removal of old archive files

## 4.5.1

- Update metadata to inlcude Oracle 19

## 4.5.0

- [core] Add Oracle 19 support

## 4.4.5

- [core] Fix require ordering

## 4.4.4

- [changed_oracle_home] Fix on initial run

## 4.4.3

- [facts] Fix when oratab doesn’t exists

## 4.4.2

- [ora_install_homes] Make fact more resilent for missing Oracle homes
- [core] extracted requires to ensure ordering and constency

## 4.4.1

- [ora_tab_entry] Make the comment property read-only

## 4.4.0

- [ora_tab_entry] Fix comments when startup is yes.
- [switch_oracle_home] Initial experimental support for switching homes
- [facts] Fix detection of defined homes
- [core] Detect ASM sids for running sids
- [upgrade_db] Initial implementation of the task
- [apply_psu_db] Initial implementation of the task
- [autostartdatabase] Add support for changing oracle_home
- [changed_oracle_home_for] Fixed lookup of defined sids
- [db_listener] Add support for oracle_home switching
- [changed_oracle_home_for] Initial implementation to detect a changed oracle_home
- [core] Detect ASM sids for running sids
- [autostartdatabase] Add support for changing oracle_home

## 4.3.3

- [client] Backport support for component selection to Oracle 11

## 4.3.2

[autostartdatabase] Fix when oratab defined by somebody else

## 4.3.1

- [autostartdatabase] Suppress warning about startup value

## 4.3.0

- [autostartdatabase] Use ora_tab_entry for setting startup
- [ora_tab_entry] Initial implementation

## 4.2.1

- [installasm] Fix PATH variable in bash profile for oracle grid
- [installdb] Fix PATH variable in bash profile for oracle user
- [quality] Fix lint errors

## 4.2.0

- [client] Add support for custom installs
- [tasks] Update to new  way of using module code

## 4.1.2

- [facts] Fix cleanup when running on WIndows

## 4.1.1

- [facts] Better cleanup of opatch files
- [facts] Speedup fact resolution for Oracle home
- [facts] Speedup fact resolution when wls facts are also on system
- [tnsnames] fix tests for older ruby versions

## 4.1.0

 [testing] Remove deprecation messages
 [tnsnames] Add support for services to a sid instead of a service_name
 [docs] Fixed spelling issues, made formatting more consistent

## 4.0.2

- [facts] Normalize detection of Oracle os_user
- [ora_opatch] Suppress message when type is not refreshed

## 4.0.1

- [installem] Add parameter to specify tablespace_location and doc updates
- [ora_opatch] Cleanup files left by older versions of Opatch
- [facts] Cleanup files left by older versions of Opatch
- [docs] Updated supported versions
- [ora_opatch] Add 'OPatchAuto successful' as success string
- [ora_opatch] run as root and fix bug in opatchauto_command
- [installem_agent] Add support for EM 13.3.0.0.0
- [installem] Add support for 13.3
- [ora_install] Fix the opatchauto provider

## 4.0.0

- [core] Add support for Puppet 6
- [core] Add puppet 6 unit tests
- [ora_opatch] Check for existence of oracle home dir
- [core] Update module summary to include Oracle 18 and Goldengate 12

## 3.3.0

[goldengate] Add support for 12.3.0

## 3.2.1

- [opatch] Add support for noocmrf file to auto en opatchauto provider

## 3.2.0

- [facts] Fix ora_install_homes fact
- [ora_opatch] Add refreshonly parameter to ora_opatch
- [client] Add support for Oracle 18c

## 3.1.0

- [quality] Fix spec’s for Oracle 18
- [docs] Small changes to the docs for Oracle 18
- [docs] Add Oracle 18c
- [installasm] Add support for Oracle 18c
- [database] Add support for Oracle 18c
- [net] Add support for Oracle 18c
- [installdb] Add support for Oracle 18c
- [database] Add more dbca options for database creation from template
- [docs] Update source docs readability (#54)
- [docs] Add generated docs to the class and defined type header in Puppet strings format
- [autostartdatabase] Use variable for service_name instead of hardcoded value
- [database] Oracle 11g doesn't know the parameter -ignorePrereqs for dbca (#52)

## 3.0.14

- [functions] Fix error when fact is not present
- [core] Detect faulty oraInventory entry and fail (#51)
- [ora_patches_installed] Added specs
- [oracle_exists] Refactered and added tests and description
- [opatch_version] Fix when no fact is available. Add specs
- [ora_physical_patches] Add unit tests and better description
- [database] Create RAC database from template. Closes #47, closes #46 (#49)
- [core] Move more log statements from info to debug
- [release] Remove Scientific from list of supported OSes
- [spec] Add catalog tests for all supported OS-es
- [specs] Use module from the forge
- [docs] Regenerated documentation with type information and defaults

## 3.0.13

- [core] Remove all non-UTF characters

## 3.0.12

- [ora_opatch] Fix usage of standard ocmrf file
- [docs] Add type and defaults

## 3.0.11
- [db_listener] use Puppet::Util::Execution.execute in stead of backticks (#45)
- [installdb] Oracle 12.1.0.2 doesn't recognise type SE2 but it does SE

## 3.0.10

- [facts/functions] Use puppet_x functions for ora_install_homes facts and don't exclude agent (#43)
- [core] Use newer version of archive module
- [ora_opatch] Fix passing of standard and absent values for ocmrf_file
- [test] Update tested Puppet versions
- Add module sync (#42)

## 3.0.9

- [ora_opatch] Set the source_dir to the correct value for a subpatch (#41)
- [installem_agent] Checks the wrong agent home (#40)
- [templates] Fix missing tags in template (#39)

## 3.0.8

- [develop] Add easy docker environment for development
- [tasks] Add startup and shutdown task
- [db_control] Refacter for usage with tasks
- [release] Fix link to license in readme

## 3.0.7

- [release] Update the license text

## 3.0.6

- [core] Add license notice to files
- [README] Updated for publishing on the forge

## 3.0.5

- Add support for ASM Filter Driver (#38)
- [installasm] Add acceptance test
- [installdb] Add SE2 as options  for database_type
- [install_em] Make default value for logoutput 'on_failure'
- [installem_agent] Make default value for logoutput 'on_failure'
- [installasm] Make default value for logoutput 'on_failure'
- [goldengate] Make default value for logoutput 'on_failure'
- [database] Make default value for logoutput 'on_failure'
- [installdb] Make default for logoutput 'on_failure'

## 3.0.4

- [opatchupgrade] Remove downloaded file (#36)

## 3.0.3

- [opatchupgrade] Manually remove downloaded file because archive doesn't
- [installs] Set extra variables for temp_dir in install commands

## 3.0.2

- [database] Fix 12.2 database creation from template

## 3.0.1

- [oracle_exists] Fix error when fact is undefined
- [client] Don't create a listener
- [ora_patches_installed] Fix name of log source
- [manifests] Make sure archive always extracts zipfiles and use temp_dir
- [facts] Get version of GoldenGate

## 3.0.0

- migrated all puppet code and facts and functions to Puppet 4/5 only

## 2.1.12

- [database] Fix usage of sanitized init params

## 2.1.11

- [installasm] Split storage_option validation per version and puppet doesn't allow empty before

## 2.1.10

- [opatchupgrade] Fix emocmrsp creation
- [autostartdatabase] Add option to put database under OHAS control in stead of init script
- [installasm] Split 11 from other versions for filenames
- [installasm] Fix issue with older puppet versions(<4.0.0)
- [installasm] Fix error in spec
- [installasm] Support for Oracle ASM 12.2

## 2.1.9

- [installem_agent] Add mandatory parameters to response file

## 2.1.8

- [database] Add support for Oracle 12.2
- [installdb] export logoutput from exec's and set default to on_fallure
- [net] Add support for 12.2
- [installdb] Add support for Oracle 12.2

## 2.1.7

- [ora_install] Add AGENT_BASE_DIR to template em_agent_pull.properties.erb
- [ora_install] Prevent error at first puppet run
- [autostartdatabase] Add support for multiple databases
- [installasm] Add parameter bash_profile
- [database] Add support for template_type

## 2.1.6

- [goldengate] Add new version to docs
- [db_control] Fix require paths for base class
- [ora_opatch] Add support for puppet generate types

## 2.1.5

- [core] Update meta information
- [installem_agent] Add support for EM agent version 13+. Closes #7
- [goldengate] Make it pre puppet 4 compatible

## 2.1.4

- [goldengate] Add support for version 12.2.1

## 2.1.3

- [core] Source .bashrc in .bash_profile. Closes #6
- [core] Use newer verion of easy_type

## 2.1.2

- [net] Add tmp_dir parameter and logoutput parameter
- [ora_opatch] Add support for http urls, zips and tars
- [ora_opatch] Fix logic for determining oracle and grid user
- [ora_installed_patches] Improved on the mechanism to find grid and oracle owner
- [opatchupgrade] Fix syntax issue for older puppet versions
- [opatchupgrade] Add support for OPatch 12.2.0.1.5 and 11.2.0.3.14
- [ora_opatch] Add support for OPatch 12.2.0.1.5 and 11.2.0.3.14
- [fuctions] Fix function for Puppet4 compatibility
- [installasm] Fixes syntax error in template. Closes #5
- [ora_opatch] Change mode of the provider code

## 2.1.1

- [ora_opatch] Added support for puppet:/// syntac for source
- [installem] Add tmp parameter
- [installdb] Add tmp parameter
- [installasm] Add tmp parameter
- [goldengate] Add tmp parameter
- [client] Add tmp parameter
- [core] Use settings from puppet-lint 2
- [core] Lock used gems
- [core] Add geppetto  project file

## 2.1.0

- [ora_opatch] Fix multiple activation of opatch
- [opatchupgrade] Change default mount dir to new value
- [installasm] Add extra template
- [instalasm] Fix old module name
- [documentation] Included full list of site docs
- [database] Fix quoting of sample_schema property
- [ora_opatch] Fix default directory problem on Solaris
- [ora_opatch] Add comment read only property
- [ora_opatch] Fixed directory management of sources
- [ora_opatch] Autodetect os_user and notify when puppet version to old

## 2.0.5

- [db_control] Fix restart from database when db is down.
- [facts] ora_installed_patches now recognises ASM
- [ora_opatch] When opatch is not installed`, let the fact report an empty set of patches
- [db_control] Fix to adhere to refreshonly

## 2.0.4

- Puppet 4 compatible for db_listener
- Added function to translate ora_opatch resource list to list of physical patches

## 2.0.3

-  Puppet 4 compatible
- added type ora_opatch and facts and functions to manage patches

## 2.0.2

-  Renamed to enterprisemodules/ora_install

## 2.0.1

- bash_profile option for database clients
- rcu 11g fix
- 12.1.0.2 oracle client template
- db_listener type refreshonly fix

## 2.0.0

- All parameters of classes or defines are now in snake case and not in camel case

## 1.0.35

- Add support for Grid 12.1.0.2 (installasm)
- Fix unsetted vars in dbora template
- Added ability to put listener entries in tnsnames.ora

## 1.0.34

- autostart fix so it also works for Oracle Linux 5
- rcu prefix compare check fix ( Uppercase )
- RCU fixes for OIM or OAM 11.1.1.2.3
- installem em_upload_port parameter type fix

## 1.0.33

- Small Suse fix for the autostart service
- new installdb attribute cleanup_installfile
- option to provide the sys username for RCU

## 1.0.32

- be able to provide a listener name for starting the oracle listener ( manifest and custom type)

## 1.0.31

- installasm, stand alone parameter in combination with $grid_type == 'CRS_SWONLY' used as standalone or in RAC
- installasm, .profile fix for ORACLE_SID in case grid_type = HA_CONFIG -> +ASM or in grid_type = CRS_CONFIG -> +ASM1

## 1.0.30

- Removed Oracle Home under base check for ASM installations, in CRS_CONFIG or CRS_SWONLY this is not right

## 1.0.29

- Custom type for oracle db/asm/client/em directory structure instead of using dirtree and some oradb manifests

## 1.0.28

- fixed database install rsp 12.1.0.2
- db_listener custom puppet type/provider, listener.pp calls this type

## 1.0.27

- solaris fix for database.pp and opatch auto
- puppet_download_mnt_point parameter for database.pp which can be used for own db template

## 1.0.26

- Removed create_user functionality in installdb & client, Puppet should do it instead of oradb module
- Support for 12.1 pluggable database
- init_params of database.pp now also support a hash besides a comma separated string
- Refactored dbstructure so it works with multiple oracle homes
- Goldengate 12.1.2 now uses dbstructure

## 1.0.25

- added extra parameter validation to installdb, installasm and installem_agent
- opatch fix for opatch bundle zip files which has subfolders in the zip
- owner of the grid home or oracle home folder fix
- renamed clusterware parameter of the opatch type to opatch_auto
- storage_type parameter is now also used in the dbca command when using a database template
- Added ASM 11.2 Database template

## 1.0.24

- Enterprise Manager agent install with AgentPull & AgentDeploy
- Cleanup install zip files and extracted installation folder in installdb, installasm, installem and client

## 1.0.23

- Enterprise Manager 12.1.0.4 server installation support
- Support for Solaris 11.2
- autostart service for Solaris

## 1.0.22

- db_control puppet resource type, start or stop an instance or subscribe to changes like init_param
- Tnsnames change so it supports a TNS balanced configuration
- changed oraInst.loc permissions to 0755

## 1.0.21

- fix for windows/unix linefeed when oradb is used in combination with vagrant on a windows host
- opatch check bug when run it twice
- Add a tnsnames entry support

## 1.0.20

- Create a Database instance based on a template
- Be able to change the default listener port 1521 in net.pp & database.pp
- Opatch fix to apply same the patch twice on different oracle homes

## 1.0.19

- OPatch support for clusterware (GRID)
- Opatchupgrade now works for grid & database on the same node

## 1.0.18

- Puppet Lint fixes
- Rubocop fixes
- 12.1 Template fix for Oracle RAC

## 1.0.17

- Fix for puppet 3.7 and more strict parsing
- OPatch also checks for OPatch succeeded
- RAC installation parameters for database, installasm, installdb

## 1.0.16

- cleanup readme
- asm/grid for 12.1.0.1 & installasm fix for Oracle Restart fix, 11.2.0.1 rsp template fix

## 1.0.15

- RCU fix for multiple FMW Repositories, installasm fix with zip_extract = false

## 1.0.14

- Rename some internal manifest to avoid a conflict with orawls

## 1.0.13

- Oracle Database & Client 12.1.0.2 Support

## 1.0.11

- database client fix with remote file, set db_snmp_password on a database

## 1.0.10

- oraInst.loc bug fix, option to skip installdb bash profile

## 1.0.9

- 11.2 EE install options

## 1.0.8

- RCU & Opatch fixes in combination with ruby 1.9.3

## 1.0.7

- Added unit tests and OPatch upgrade support without OCM registration

## 1.0.6

- Grid install and ASM support

## 1.0.5

- refactored installdb and support for oinstall groups

## 1.0.4

- db_rcu native type used in rcu.pp

## 1.0.2

- db_opatch native type used in opatch.pp

## 1.0.1

- autostart multiple databases, small fixes

## 1.0.0

- oracle module add##on for user,role and tablespace creation


## 0.9.9

- em_configuration parameter for Database creation

## 0.9.7

- Oracle database 11.2.0.1, 12.1.0.1 client support, refactored installdb,net,goldengate
