#
# See the file "LICENSE" for the full license governing this code.
#
# Returns the the installed Opatch version for a specfied Oracle home
#

Puppet::Functions.create_function(:'opatch_version') do
  dispatch :opatch_version do
    param 'String', :oracle_home
    return_type 'String'
  end

  def opatch_version(oracle_home)
    Puppet.deprecation_warning('Puppet::Util::Logging::deprecation_warning')
    Puppet.warn_once('deprecations', 'opatch_version',"Function 'opatch_version' is deprecated. Please use 'ora_install::opatch_version'.")
    call_function('ora_install::opatch_version', oracle_home)
  end
end
