newproperty(:oracle_home_dir) do
  desc <<-EOT
    The oracle home folder.
  EOT

  def insync?(is)
    return true if resource[:ensure] == :stop
    super
  end

  def sync
    unless resource[:refreshonly] == :true
      provider.restart
      super
    end
  end

  def retrieve
    provider.oracle_home_dir
  end

end

